#
# Name:          makefile
#
# Description:   Makefile for the rrm
#
#
# The name of the compiler to use
CC=gcc -g
#The default compiler flags to use
#CFLAGS=-I.  -DUNIX -DDIAGNOSE
CFLAGS=-I.  -DUNIX 
#
CFILES=rrm.c
OBJS=rrm.o
#
# The libraries to include
LDLIBS=-mt -lc -lnsl -ldl -lmqm -lmqmcs -lmqmzse

# The rule for converting .c objects to .o objects
#.c.o:
#   ${cc} $(CFLAGS) -c -o $@ $<
#   cc -I  -c -o rrm.c

# The first object in the makefile is the default
# object to build.
# All of the objects in this makefile are components of rrm.
all: rrm
# The mainline routine
#rrm.o:  rrm.c rrmdef.h
#   $(CC) $(CFLAGS) -c -xCC -Xt rrm.c
#
# Build the objects into an executable program
rrm: $(OBJS)
	$(CC) -o rrm rrm.o $(LDLIBS)
#
rrm.o:  rrm.c 
	$(CC) $(CFLAGS) -c rrm.c
#


